<?php
/**
 * @ H2N Link Directory 1.0.0 admin.cpanel.php
 * @ Copyright (C) 2008 Harry Klein - joomla.neschke.eu
 * @
 * @ Link Directory 1.1 admin.cpanel.php
 * @ Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @ All rights reserved
 * @ Link Directory Component is Free Software
 * @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 **/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

function CPanel() {
	global $database, $mosConfig_absolute_path;

	//Category Info
	$database->setQuery("SELECT count(*) FROM #__ldcats");
	$total['cats'] = $database->loadResult();

	$database->setQuery("SELECT count(*) FROM #__ldcats WHERE published='1'");
	$total['pcats'] = $database->loadResult();

	$database->setQuery("SELECT count(*) FROM #__ldcats WHERE published='0'");
	$total['acats'] = $database->loadResult();

	//Weblink Info
	$database->setQuery("SELECT count(*) FROM #__ldlinks");
	$total['links'] = $database->loadResult();

	$database->setQuery("SELECT count(*) FROM #__ldlinks WHERE published='1'");
	$total['plinks'] = $database->loadResult();

	$database->setQuery("SELECT count(*) FROM #__ldlinks WHERE published='0'");
	$total['alinks'] = $database->loadResult();

	//Comment Info
	$database->setQuery("SELECT count(*) FROM #__ldcomment");
	$total['comments'] = $database->loadResult();

	$database->setQuery("SELECT count(*) FROM #__ldcomment WHERE rev_approved='1'");
	$total['pcomments'] = $database->loadResult();

	$database->setQuery("SELECT count(*) FROM #__ldcomment WHERE rev_approved='0'");
	$total['acomments'] = $database->loadResult();

	//Mambot Check
	if (file_exists($mosConfig_absolute_path."/mambots/content/linkdirectory.rlinks.php")){
		$mambot['rlinks'] = '<font color="green">'._LD_INSTALLED.'</font>';
	}else{
		$mambot['rlinks'] = '<font color="red">'._LD_NOTINSTALLED.'</font>';
	}

	if (file_exists($mosConfig_absolute_path."/mambots/search/linkdirectory.searchbot.php")){
		$mambot['search'] = '<font color="green">'._LD_INSTALLED.'</font>';
	}else{
		$mambot['search'] = '<font color="red">'._LD_NOTINSTALLED.'</font>';
	}

	//Modul Check
	if (file_exists($mosConfig_absolute_path."/modules/mod_ld_stats.php")){
		$modules['ld_stats'] = '<font color="green">'._LD_INSTALLED.'</font>';
	}else{
		$modules['ld_stats'] = '<font color="red">'._LD_NOTINSTALLED.'</font>';
	}

	if (file_exists($mosConfig_absolute_path."/modules/mod_ld_latest.php")){
		$modules['ld_latest'] = '<font color="green">'._LD_INSTALLED.'</font>';
	}else{
		$modules['ld_latest'] = '<font color="red">'._LD_NOTINSTALLED.'</font>';
	}

	if (file_exists($mosConfig_absolute_path."/modules/mod_ld_popular.php")){
		$modules['ld_popular'] = '<font color="green">'._LD_INSTALLED.'</font>';
	}else{
		$modules['ld_popular'] = '<font color="red">'._LD_NOTINSTALLED.'</font>';
	}

	if (file_exists($mosConfig_absolute_path."/modules/mod_ld_dtree.php")){
		$modules['ld_dtree'] = '<font color="green">'._LD_INSTALLED.'</font>';
	}else{
		$modules['ld_dtree'] = '<font color="red">'._LD_NOTINSTALLED.'</font>';
	}

	//Version Check
	require_once( $mosConfig_absolute_path .'/includes/domit/xml_domit_lite_include.php' );
	$dirName = $mosConfig_absolute_path. '/administrator/components/com_linkdirectory/linkdirectory.xml';
	$xmlDoc = new DOMIT_Lite_Document();
	$xmlDoc->resolveErrors( true );
	if (!$xmlDoc->loadXML( $dirName, false, true )) {
		continue;
	}
	$root = &$xmlDoc->documentElement;
	if ($root->getTagName() != 'mosinstall') {
		continue;
	}
	if ($root->getAttribute( 'type' ) != 'component') {
		continue;
	}
	$element 	= &$root->getElementsByPath('version', 1);
	$snrver 	= $element ? $element->getText() : '';

	$filename = "http://joomla.neschke.eu/linkdirectory.php";
	$handle = fopen($filename, "r");
	if (!$handle) {
		$currentver = _LD_UNKNOWN;
	} else {
		$currentver = fread($handle, 5);
		fclose($handle);
	}

	if ($currentver == _LD_UNKNOWN) {
		$err = "";
	} else if ($currentver > $snrver) {
		$err = "<a href=\"http://joomla.neschke.eu\" target=\"_blank\">". _LD_UPGRADE ."</a>";
	} else {
		$err = _LD_UPTODATE;
	}

	Cpanel_HTML::CPanel( $currentver, $snrver, $total, $err, $modules, $mambot );
}
?>
