<?php
/**
 * @ H2N Link Directory 1.0.0 admin.tools.php
 * @ Copyright (C) 2008 Harry Klein - joomla.neschke.eu
 * @
 * @ Link Directory 1.1 admin.tools.php
 * @ Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @ All rights reserved
 * @ Link Directory Component is Free Software
 * @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 **/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

function categoryArray() {
	global $database, $my;
	 
	// get a list of the menu items
	$query = "SELECT c.*, c.parent_id AS parent"
	. "\n FROM #__ldcats c"
	. "\n WHERE published <> -2 AND access <= '$my->gid'"
	. "\n ORDER BY ordering" ;
	 
	$database->setQuery($query);
	$items = $database->loadObjectList();
	// establish the hierarchy of the menu
	$children = array();
	// first pass - collect children
	foreach ($items as $v) {
		$pt = $v->parent;
		$list = @$children[$pt] ? $children[$pt] : array();
		array_push($list, $v);
		$children[$pt] = $list;
	}
	// second pass - get an indent list of the items
	$array = mosTreeRecurse(0, '', array(), $children);

	return $array;
}

function categoryParentList($id, $action, $options = array())  {
	global $database;
	 
	$list = categoryArray();

	$cat = new snrCats($database);
	$cat->load($id);

	$this_treename = '';
	foreach ($list as $item) {
		if ($this_treename) {
			if ($item->id != $cat->id && strpos($item->treename, $this_treename) === false) {
				$options[] = mosHTML::makeOption($item->id, $item->treename);
			}
		} else {
			if ($item->id != $cat->id) {
				$options[] = mosHTML::makeOption($item->id, $item->treename);
			} else {
				$this_treename = "$item->treename/";
			}
		}
	}

	$parent = mosHTML::selectList($options, 'parent_id', 'class="inputbox" size="1"', 'value', 'text', $action);
	return $parent;
}

function categoryList($id, $action, $options = array())
{
	 
	$list = categoryArray();
	$options[] = mosHTML::makeOption('', _SEL_CATEGORY);
	// assemble menu items to the array
	foreach ($list as $item) {
		$options[] = mosHTML::makeOption($item->id, $item->treename);
	}
	$parent = mosHTML::selectList($options, 'catid', 'id="catid" class="inputbox" size="1" onchange="' . $action . '"', 'value', 'text', $id);
	return $parent;
}

function ComponentCategory( $name, $active=NULL, $javascript=NULL, $order='ordering', $size=1, $sel_cat=1 ) {
	global $database;

	$list = categoryArray();

	$options[] = mosHTML::makeOption('', _SEL_CATEGORY);
	// assemble menu items to the array
	foreach ($list as $item) {
		$options[] = mosHTML::makeOption($item->id, $item->treename);
	}

	$category = mosHTML::selectList( $options, $name, 'class="inputbox" size="'. $size .'" '. $javascript, 'value', 'text', $active );

	return $category;
}

function quickiconButton( $link, $image, $text ) {
	?>
<div style="float: left;">
<div class="icon"><a href="<?php echo $link; ?>"> <?php echo mosAdminMenus::imageCheckAdmin( $image, '/administrator/images/', NULL, NULL, $text ); ?>
<span><?php echo $text; ?></span> </a></div>
</div>
	<?php
}

function quickStats( $value, $text, $color ) {
	?>
<tr style="background-color:<?php echo $color;?>">
	<td width="50%"><strong><?php echo $text;?></strong></td>
	<td>:</td>
	<td width="50%"><strong><?php echo $value;?></strong></td>
</tr>
	<?php
}

function quickStats_NA() {
	?>
<tr>
	<td colspan="3" width="50%">&nbsp;</td>

</tr>
	<?php
}

function GetImages( &$images, $path, $row ) {
	if ( !isset($images['/'] ) ) {
		$images['/'][] = mosHTML::makeOption( '' );
	}

	$javascript	= "onchange=\"previewImage( 'imagefiles', 'view_imagefiles', '$path/' )\"";
	$getimages	= mosHTML::selectList( $images['/'], 'imagefiles', 'class="inputbox" size="10" '. $javascript , 'value', 'text', $row->imagefiles );

	return $getimages;
}



// Bunlar� de�i�tirirseniz can�n�z �ok yanar ;)
function About() {
	global $mosConfig_live_site;
	?>
<table width="100%" border="0" align="center" cellpadding="0"
	cellspacing="0">
	<tr>
		<td bgcolor="#FFFFFF">
		<table width="100%" border="0" align="center" cellpadding="2"
			cellspacing="0">
			<tr>
				<td align="center"><img
					src="<?php echo $mosConfig_live_site;?>/administrator/components/com_linkdirectory/images/ldh2nlogo.png"
					alt="LD Logo" /></td>
			</tr>
			<tr>
				<td align="center"><b> Credits </b> <br />
				<br />
				</td>
			
			
			<tr>
				<td align="center"><script type="text/javascript">

/***********************************************
* Pausing updown message scroller- � Dynamic Drive DHTML code library (www.dynamicdrive.com)
* This notice MUST stay intact for legal use
* Visit Dynamic Drive at http://www.dynamicdrive.com/ for full source code
***********************************************/

//configure the below five variables to change the style of the scroller
var scrollerdelay='4000' //delay between msg scrolls. 3000=3 seconds.
var scrollerwidth='200px'
var scrollerheight='100px'
var scrollerbgcolor='white'
//set below to '' if you don't wish to use a background image
var scrollerbackground='scrollerback.gif'

//configure the below variable to change the contents of the scroller
var messages=new Array()
messages[0]="<b>Coded by</b><br><br>Soner (pisdoktor) Ekici<br><a href='http://www.joomlaturkiye.org' target='_blank'>Joomla! Turkiye Support Site</a>"
messages[1]="<b>Contact</b><br><br><a href='mailto:pisdoktor@joomlaturkiye.org'>pisdoktor@joomlaturkiye.org</a>"
messages[2]="<b>Personal Web Site</b><br><br><a href='http://www.sonerekici.com' target='_blank'>www.sonerekici.com</a>"
messages[3]="This component is released under <b>GNU/GPL License</b>"
///////Do not edit pass this line///////////////////////

var ie=document.all
var dom=document.getElementById

if (messages.length>2)
i=2
else
i=0

function move(whichdiv){
tdiv=eval(whichdiv)
if (parseInt(tdiv.style.top)>0&&parseInt(tdiv.style.top)<=5){
tdiv.style.top=0+"px"
setTimeout("move(tdiv)",scrollerdelay)
setTimeout("move2(second2_obj)",scrollerdelay)
return
}
if (parseInt(tdiv.style.top)>=tdiv.offsetHeight*-1){
tdiv.style.top=parseInt(tdiv.style.top)-5+"px"
setTimeout("move(tdiv)",50)
}
else{
tdiv.style.top=parseInt(scrollerheight)+"px"
tdiv.innerHTML=messages[i]
if (i==messages.length-1)
i=0
else
i++
}
}

function move2(whichdiv){
tdiv2=eval(whichdiv)
if (parseInt(tdiv2.style.top)>0&&parseInt(tdiv2.style.top)<=5){
tdiv2.style.top=0+"px"
setTimeout("move2(tdiv2)",scrollerdelay)
setTimeout("move(first2_obj)",scrollerdelay)
return
}
if (parseInt(tdiv2.style.top)>=tdiv2.offsetHeight*-1){
tdiv2.style.top=parseInt(tdiv2.style.top)-5+"px"
setTimeout("move2(second2_obj)",50)
}
else{
tdiv2.style.top=parseInt(scrollerheight)+"px"
tdiv2.innerHTML=messages[i]
if (i==messages.length-1)
i=0
else
i++
}
}

function startscroll(){
first2_obj=ie? first2 : document.getElementById("first2")
second2_obj=ie? second2 : document.getElementById("second2")
move(first2_obj)
second2_obj.style.top=scrollerheight
second2_obj.style.visibility='visible'
}

if (ie||dom){
document.writeln('<div id="main2" style="position:relative;width:'+scrollerwidth+';height:'+scrollerheight+';overflow:hidden;background-color:'+scrollerbgcolor+' ;background-image:url('+scrollerbackground+')">')
document.writeln('<div style="position:absolute;width:'+scrollerwidth+';height:'+scrollerheight+';clip:rect(0 '+scrollerwidth+' '+scrollerheight+' 0);left:0px;top:0px">')
document.writeln('<div id="first2" style="position:absolute;width:'+scrollerwidth+';left:0px;top:1px;">')
document.write(messages[0])
document.writeln('</div>')
document.writeln('<div id="second2" style="position:absolute;width:'+scrollerwidth+';left:0px;top:0px;visibility:hidden">')
document.write(messages[dyndetermine=(messages.length==1)? 0 : 1])
document.writeln('</div>')
document.writeln('</div>')
document.writeln('</div>')
}

if (window.addEventListener)
window.addEventListener("load", startscroll, false)
else if (window.attachEvent)
window.attachEvent("onload", startscroll)
else if (ie||dom)
window.onload=startscroll

</script></td>
			</tr>
		</table>
		</td>
	</tr>
</table>
	<?php
}
?>