<?php
/**
 * @ H2N Link Directory 1.0.0 install.linkdirectory.php
 * @ Copyright (C) 2008 Harry Klein - joomla.neschke.eu
 * @
 * @ Link Directory 1.1 install.linkdirectory.php
 * @ Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @ All rights reserved
 * @ Link Directory Component is Free Software
 * @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 **/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

function com_install()
{
	global $database, $mosConfig_absolute_path;

	$database->setQuery( "SELECT id FROM #__components WHERE name= 'Link Directory'" );
	$id = $database->loadResult();

	//add new admin menu toolbar images
	@copy($mosConfig_absolute_path .'/administrator/components/com_linkdirectory/images/import_f2.png', $mosConfig_absolute_path .'/administrator/images/import_f2.png');
	@copy($mosConfig_absolute_path .'/administrator/components/com_linkdirectory/images/export_f2.png', $mosConfig_absolute_path .'/administrator/images/export_f2.png');


	//main link
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/home.png' WHERE id='$id'");
	$database->query();

	//control panel
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/controlpanel.png' WHERE parent='$id' AND name = 'Control Panel'");
	$database->query();

	//category manager
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/categories.png' WHERE parent='$id' AND name = 'Category Manager'");
	$database->query();

	//weblink manager
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/globe4.png' WHERE parent='$id' AND name = 'Web Link Manager'");
	$database->query();

	//comment manager
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/content.png' WHERE parent='$id' AND name = 'Comment Manager'");
	$database->query();

	//configuration
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/config.png', admin_menu_link = 'option=com_linkdirectory&task=config&hidemainmenu=1' WHERE parent='$id' AND name = 'Configuration'");
	$database->query();

	//about me
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/credits.png' WHERE parent='$id' AND name = 'About Me'");
	$database->query();

	//import
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/backup.png' WHERE parent='$id' AND name = 'Import Web Links'");
	$database->query();

	//export
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/restore.png' WHERE parent='$id' AND name = 'Export Web Links'");
	$database->query();

	//add joomfish support files if joomfish was installed...
	if (file_exists($mosConfig_absolute_path."/administrator/components/com_joomfish/contentelements/content.xml")){
		@copy($mosConfig_absolute_path .'/administrator/components/com_linkdirectory/joomfish/linkdirectory_cats.xml', $mosConfig_absolute_path.'/administrator/components/com_joomfish/contentelements/linkdirectory_cats.xml');
		@copy($mosConfig_absolute_path .'/administrator/components/com_linkdirectory/joomfish/linkdirectory_links.xml', $mosConfig_absolute_path.'/administrator/components/com_joomfish/contentelements/linkdirectory_links.xml');
	}

}
?>