<?php
/**
 * @ H2N Link Directory 1.0.0 linkdirectory.links.php
 * @ Copyright (C) 2008 Harry Klein - joomla.neschke.eu
 * @
 * @ Link Directory 1.1 linkdirectory.links.php
 * @ Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @ All rights reserved
 * @ Link Directory Component is Free Software
 * @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 **/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

function DetailLink($id, $option, $Itemid, $limitstart) {
	global $database, $mainframe, $my, $ld, $temp;

	$row = new snrLinks( $database );
	// load the row from the db table
	$row->load( $id );

	if (!$row->id) {
		echo "B?yle bir eklenti yok";
	} else {

		# increase hits
		$cookiename = "ldhit$row->id";
		$visited = mosGetParam( $_COOKIE, $cookiename, '0' );

		if (!$visited) {
			$database->setQuery( "UPDATE #__ldlinks SET hits=hits+1 WHERE id=$id");
			$database->query();
			setcookie( $cookiename, '1', time()+86400 );
		}

		$database->setQuery("SELECT title FROM #__ldcats WHERE id = $row->catid");
		$cattitle = $database->loadResult();

		//Get total comments
		$query = "SELECT COUNT( rev_id )"
		. "\n FROM #__ldcomment"
		. "\n WHERE link_id = ". $row->id
		. "\n AND rev_approved = 1"
		;

		$database->setQuery( $query );
		$comment = $database->loadResult();
		$row->comment = $comment;
		$row->description = nl2br($row->description);

		if ($ld->dpage) {
			$mainframe->SetPageTitle( _LD_HOME .' - '. $cattitle . ' - '. $row->title );
		} else {
			$mainframe->SetPageTitle( _LD_HOME );
		}

		$url = 'index.php?option=com_linkdirectory&amp;task=detail&amp;id='.$row->id.'&amp;Itemid='.$Itemid;
		$rateurl = 'index.php?option=com_linkdirectory&amp;task=rate&amp;id='.$row->id.'&amp;Itemid='.$Itemid;
		$commenturl = 'index.php?option=com_linkdirectory&amp;task=comment&amp;id='.$row->id.'&amp;Itemid='.$Itemid;
		$reporturl = 'index.php?option=com_linkdirectory&amp;task=report&amp;id='.$row->id.'&amp;Itemid='.$Itemid;

		if ($ld->ldisplay) {
			$row->url = $row->url;
		} else {
			$row->url = 'index.php?option=com_linkdirectory&amp;task=view&amp;id='.$row->id.'&amp;Itemid='.$Itemid;
		}

		$temp->id = $id;
		$temp->row = $row;
		$temp->catid = $row->catid;
		$temp->option = $option;
		$temp->Itemid = $Itemid;
		$temp->limitstart = $limitstart;
		$temp->ratelink = $ld->ratelink;
		$temp->commentlink = $ld->commentlink;
		$temp->badlink = $ld->badlink;
		$temp->showfastlink = $ld->showfastlink;

		$temp->url = $url;
		$temp->rateurl = $rateurl;
		$temp->commenturl = $commenturl;
		$temp->reporturl = $reporturl;

		$temp->display('header.tpl.php');
		$temp->display('linkdetail.tpl.php');
		$temp->display('showcomments.tpl.php');
		$temp->display('footer.tpl.php');

		//Weblinks_HTML::ViewLinks($row, $option, $Itemid, $limitstart);
	}
}


function editLink( $id, $option, $catid ) {
	global $database, $Itemid, $my, $ld, $temp;

	$row = new snrLinks( $database );
	// load the row from the db table
	$row->load( $id );

	$options = array();
	$options[] = mosHTML::makeOption('', _SEL_CATEGORY );
	$lists['parent'] = ComponentCategory('catid', $catid);

	$suglink = sefReltoAbs('index.php?option=com_linkdirectory&amp;task=suggestcat&amp;catid='.$catid.'&amp;Itemid='.$Itemid);

	$temp->id = $id;
	$temp->row = $row;
	$temp->option = $option;
	$temp->scat = $ld->scat;
	$temp->parent = $lists['parent'];
	$temp->catid = $catid;
	$temp->Itemid = $Itemid;
	$temp->suglink = $suglink;
	$temp->securityimage = $ld->securityimage;
	$temp->ldeditor = $ld->ldeditor;

	$temp->display('header.tpl.php');
	$temp->display('editlink.tpl.php');

	//Weblinks_HTML::editWeblink( $option, $row, $lists );
}

/**
 * Saves the record on an edit form submit
 * @param database A database connector object
 */
function saveLink($option, $Itemid) {
	global $mosConfig_mailfrom, $mosConfig_fromname;
	global $database, $my, $mosConfig_absolute_path, $ld;

	if ($ld->securityimage) {
		include ($mosConfig_absolute_path."/administrator/components/com_securityimages/server.php");
		$security_refid = mosGetParam($_POST, "security_refid", $security_refid);
		$security_try = mosGetParam($_POST, "security_try", $security_try);
	}

	$checkSecurity = true;

	if ($ld->securityimage) {
		$checkSecurity &= checkSecurityImage($security_refid, $security_try);
	}

	if (!$checkSecurity) {
		echo "<SCRIPT> alert('"._LD_LINK_REFUSED."'); document.location.href='index.php?option=com_linkdirectory&Itemid=$Itemid';</SCRIPT>";
	} else {

		$row = new snrLinks( $database );
		if (!$row->bind( $_POST, 'published' )) {
			echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
			exit();
		}
		$isNew = $row->id < 1;

		if ($row->id) {
			$row->modified = date( 'Y-m-d H:i:s' );
		}else {
			$row->created = date( 'Y-m-d H:i:s' );
		}

		if (!$row->check()) {
			echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
			exit();
		}
		if (!$row->store()) {
			echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
			exit();
		}
		$row->checkin();

		// admin users gid
		$gid = 25;
		$gid2 = 24;

		// list of admins
		$query = "SELECT email, name"
		. "\n FROM #__users"
		. "\n WHERE gid = $gid"
		. "\n AND gid = $gid2"
		. "\n AND sendEmail = 1"
		;
		$database->setQuery( $query );
		if(!$database->query()) {
			echo $database->stderr( true );
			return;
		}
		$adminRows = $database->loadObjectList();

		// send email notification to admins
		foreach($adminRows as $adminRow) {
			mosSendAdminMail($adminRow->name, $adminRow->email, '', _LD_LINKADDMSG, $row->title, $my->username );
		}

		$msg 	= $isNew ? _THANK_SUB : '';
		mosRedirect( 'index.php?option=com_linkdirectory&Itemid='. $Itemid , $msg );
	}
}

function ViewLink($id) {
	global $database, $my, $mainframe;

	$link = new snrLinks($database);
	$link->load($id);

	if (!$link->published) {
		mosNotAuth();
		return;
	}

	$cat = new snrCats($database);
	$cat->load($link->catid);

	if (!$cat->published) {
		mosNotAuth();
		return;
	}

	if ( $cat->access > $my->gid ) {
		mosNotAuth();
		return;
	}

	if ( $link->url ) {
		mosRedirect ( $link->url );
	} else {
		ViewCategory( $catid, $option, $Itemid );
	}
}
?>