<?php
/**
 * @ H2N Link Directory 1.0.0 linkdirectory.rating.php
 * @ Copyright (C) 2008 Harry Klein - joomla.neschke.eu
 * @
 * @ Link Directory 1.1 linkdirectory.rating.php
 * @ Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @ All rights reserved
 * @ Link Directory Component is Free Software
 * @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 **/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

function RateLink($id) {
	global $database, $my, $Itemid, $ld, $temp, $option;

	$link = new snrLinks($database);
	$link->load($id);

	# User IP Address
	$vote_ip = getenv( 'REMOTE_ADDR' );


	# Check if this user has voted before
	if ( $my->id == 0 ) {
		$database->setQuery( "SELECT log_date FROM #__ldlog WHERE link_id ='".$link->id."' AND log_ip = '".$vote_ip."' AND log_type = 'vote'" );
	} else {
		$database->setQuery( "SELECT log_date FROM #__ldlog WHERE link_id ='".$link->id."' AND user_id = '".$my->id."' AND log_type = 'vote'" );
	}

	$voted = false;
	$voted = ($database->loadResult() <> '') ? true : false;

	if ( $ld->gaddrate == '0' && $my->id < 1) {
		# Error. Please login before you can vote
		mosRedirect( "index.php?option=com_linkdirectory&task=detail&id=$link->id&Itemid=$Itemid", _LD_LOGIN_FIRST );
	}	elseif ( $voted && $ld->rateonce == '1') {
		# This user has already voted this listing
		mosRedirect( "index.php?option=com_linkdirectory&task=detail&id=$link->id&Itemid=$Itemid", _LD_ONLY_ONCE_R );
	} else {
		# OK. User is logged in
		$url = 'index.php?option=com_linkdirectory&amp;task=detail&amp;id='.$link->id.'&amp;Itemid='.$Itemid;
		$rateurl = 'index.php?option=com_linkdirectory&amp;task=rate&amp;id='.$link->id.'&amp;Itemid='.$Itemid;
		$commenturl = 'index.php?option=com_linkdirectory&amp;task=comment&amp;id='.$link->id.'&amp;Itemid='.$Itemid;
		$reporturl = 'index.php?option=com_linkdirectory&amp;task=report&amp;id='.$link->id.'&amp;Itemid='.$Itemid;

		if ($ld->ldisplay) {
			$link->url = $link->url;
		} else {
			$link->url = 'index.php?option=com_linkdirectory&amp;task=view&amp;id='.$link->id.'&amp;Itemid='.$Itemid;
		}

		$temp->id = $id;
		$temp->row = $link;
		$temp->catid = $link->catid;
		$temp->Itemid = $Itemid;
		$temp->option = $option;
		$temp->myid = $my->id;

		$temp->ratelink = $ld->ratelink;
		$temp->commentlink = $ld->commentlink;
		$temp->badlink = $ld->badlink;

		$temp->url = $url;
		$temp->rateurl = $rateurl;
		$temp->commenturl = $commenturl;
		$temp->reporturl = $reporturl;

		$temp->template = $ld->template;

		$temp->display('header.tpl.php');
		$temp->display('linkdetail.tpl.php');
		$temp->display('addrate.tpl.php');
		$temp->display('footer.tpl.php');

		//Rating_HTML::Rate($row, $Itemid);
	}
}


function AddRate( $id, $option ) {
	global $database, $Itemid, $my, $ld, $mosConfig_offset;

	# Get the rating
	$rating = intval( mosGetParam( $_POST, 'rating', 0 ) );

	$database->setQuery( "SELECT * FROM #__ldlinks"
	. "\n WHERE published='1' AND id='".$id."'"
	);
	$database->loadObject( $link );

	# User IP Address
	$vote_ip = getenv( 'REMOTE_ADDR' );

	if (empty($link)) {
		# Link does not exists, or is not published
		mosNotAuth();

	} elseif ( $ld->gaddrate == '0' && $my->id < 1) {
		# User is not logged in
		echo "<script> alert("._LD_LOGIN_FIRST."); window.history.go(-1); </script>\n";

	} elseif ( $rating == 0 || $rating > 5 ) {
		# Invalid rating. User did not fill in rating, or attempt misuse
		echo "<script> alert("._LD_CHOOSE_RATE."); window.history.go(-1); </script>\n";
		exit();

	} else {
		# Everything is ok, add the rating
		$now = date( "Y-m-d H:i:s", time()+$mosConfig_offset*60*60 );

		if ( $my->id < 1 ) $my->id = 0;

		# Check if this user has voted before
		if ( $my->id == 0 ) {
			$database->setQuery( "SELECT log_date FROM #__ldlog WHERE link_id ='".$id."' AND log_ip = '".$vote_ip."' AND log_type = 'vote'" );
		} else {
			$database->setQuery( "SELECT log_date FROM #__ldlog WHERE link_id ='".$id."' AND user_id = '".$my->id."' AND log_type = 'vote'" );
		}

		$voted = false;
		$voted = ($database->loadResult() <> '') ? true : false;

		if ( !$voted ) {

			# Update #__ld_log table
			$database->setQuery( "INSERT INTO #__ldlog "
			.	"( `log_ip` , `log_type`, `user_id` , `log_date` , `link_id` )"
			.	"VALUES ( '$vote_ip', 'vote', '$my->id', '$now', '$id')");
			if (!$database->query()) {
				echo "<script> alert('".$database->stderr()."');</script>\n";
				exit();
			}

			$new_rating = ((($link->rating * $link->votes) + $rating) / ++$link->votes);
			# Update #__ld_links table
			$database->setQuery("UPDATE #__ldlinks "
			.	" SET rating = '$new_rating', votes = '$link->votes' "
			.	"WHERE id = '$id'");
			if (!$database->query()) {
				echo "<script> alert('".$database->stderr()."');</script>\n";
				exit();
			}

			mosRedirect( "index.php?option=com_linkdirectory&task=detail&id=$id&Itemid=$Itemid", _LD_RATE_SUCCESS );

		} else {
			mosRedirect( "index.php?option=com_linkdirectory&task=detail&id=$id&Itemid=$Itemid", _LD_RATE_BEFORE );
		}
	}
}

function showrating($rating, $votes) {
	global $Itemid, $my, $mosConfig_live_site, $ld;

	$star = round($rating, 0);
	$html = '';

	// display votes after 5 votes
	if ($votes < $ld->minrate ) {
		// Print blank star
		for( $i=0; $i<5; $i++) {
			$html .= '<img src="'.$mosConfig_live_site.'/components/com_linkdirectory/templates/'.$ld->template.'/images/star_00.png" width="14" height="14" hspace="1" alt="" />';
		}
	} else {
		// Print starts
		for( $i=0; $i<$star; $i++) {
			$html .= '<img src="'.$mosConfig_live_site.'/components/com_linkdirectory/templates/'.$ld->template.'/images/star_10.png" width="14" height="14" hspace="1" alt="" />';
		}

		// Print blank star
		for( $i=$star; $i<5; $i++) {
			$html .= '<img src="'.$mosConfig_live_site.'/components/com_linkdirectory/templates/'.$ld->template.'/images/star_00.png" width="14" height="14" hspace="1" alt="" />';
		}

	}
	# Return the listing link
	return $html;
}
?>